Subject: bug#72268: 31.0.50; Color emoji rendering

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Jul 2024 16:04:15 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 24 Jul 2024 14:58:55 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > That's strange, because AFAIK users on GNU/Linux do report very good
> > results with Cairo and color Emoji fonts.  Did you try Noto Color
> > Emoji (which is the default font for Emoji in Emacs)?
> 
> Yes.  I think that I'd better try to resolve this issue (w/ a Cairo
> build) than try to solve it in Xft.
> 
> Currently, with a Cairo build, Emoji are displayed with empty boxes (not
> the boxed hex representation, just empty ones).  'C-u C-x =' says it is
> "Noto Color Emoji".  I'm using cairo 1.18.0.

Please show what "C-u C-x =" says when point is on one of these Emoji.